InternetExplorerLocator (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers.locators
Class InternetExplorerLocator

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.locators.SingleBrowserLocator
          org.openqa.selenium.server.browserlaunchers.locators.InternetExplorerLocator

All Implemented Interfaces:
  BrowserLocator

    public class InternetExplorerLocator

extends SingleBrowserLocator

Discovers a valid Internet Explorer installation on local system.

Constructor Summary
`InternetExplorerLocator()`

Method Summary
`protected java.lang.String` | `browserName()`
`protected java.lang.String` | `browserPathOverridePropertyName()`
`protected java.lang.String` | `seleniumBrowserName()`
`protected java.lang.String[]` | `standardlauncherFilenames()`
`protected java.lang.String[]` | `usualLauncherLocations()`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.locators.SingleBrowserLocator
`browserDefaultPath, computeLibraryPath, couldNotFindAnyInstallationMessage, fakeLauncherPath, findAtADefaultLocation, findBrowserLocation, findBrowserLocationOrFail, findFileInPath, findInPath, humanFriendlyLauncherFileNames, retrieveValidInstallationPath, retrieveValidInstallationPath, retrieveValidInstallationPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternetExplorerLocator

    public InternetExplorerLocator()

Method Detail

### browserName

    protected java.lang.String browserName()

  Specified by:
    `browserName` in class `SingleBrowserLocator`

### seleniumBrowserName

    protected java.lang.String seleniumBrowserName()

  Specified by:
    `seleniumBrowserName` in class `SingleBrowserLocator`

### standardlauncherFilenames

    protected java.lang.String[] standardlauncherFilenames()

  Specified by:
    `standardlauncherFilenames` in class `SingleBrowserLocator`

### browserPathOverridePropertyName

    protected java.lang.String browserPathOverridePropertyName()

  Specified by:
    `browserPathOverridePropertyName` in class `SingleBrowserLocator`

### usualLauncherLocations

    protected java.lang.String[] usualLauncherLocations()

  Specified by:
    `usualLauncherLocations` in class `SingleBrowserLocator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.